StatsD::DefaultInstrumentation
===

A set of instrumentation for Rails and common libraries.

Configuration
---

Rails 3 works out of the box. Other frameworks must run `StatsD::DefaultInstrumentation.detect!` after loading the app's libraries.

The following options are supported and are configured with `StatsD::DefaultInstrumentation.option = value`

* prefix: Sets the stat name prefix string. By default this "rails_env.your_app_name" in Rails 3, or "default_instrumentation" in other frameworks.

Instrumentation
---

**ActionController**

* Count of requests grouped by response code. Example: requests.200

**MemCache**

Supported clients: memcache-client, memcached

* Timing of each operation. Example: memcache.set
* Count of hits/misses for get operations as memcache.hit and memcache.miss

**Redis**

Supported clients: redis-rb

* Timing of each operation. Example: redis.get